#include <QApplication>

#include <QChart>
#include <QChartView>
#include <QLineSeries>
#include <QValueAxis>

int main(int argc, char**argv) {
    QApplication a(argc, argv);

    QtCharts::QChartView view;

    QtCharts::QChart *chart = new QtCharts::QChart();
    view.setChart(chart);
//    view.setRenderHint(QPainter::Antialiasing);
    chart->legend()->setVisible(false);

    auto xAxis = new QtCharts::QValueAxis(&view);
    chart->addAxis(xAxis, Qt::AlignBottom);

    auto yAxis = new QtCharts::QValueAxis(&view);
    chart->addAxis(yAxis, Qt::AlignLeft);

    auto series = new QtCharts::QLineSeries(&view);
    series->setColor(Qt::blue);
    chart->addSeries(series);
    series->attachAxis(xAxis);
    series->attachAxis(yAxis);

    series->append(0, 1);
    series->append(0, 0);
    series->append(1, 0);
    series->append(2, 1);
    series->append(3, 1);
    series->append(4, 0);
    series->append(5, 0);
    series->append(5, 1);

    xAxis->setRange(0, 5);
    yAxis->setRange(0, 1);

    view.show();

    return a.exec();
}

